%define snapshot 0
%define date 20130523

%define qtmajor 5
%define qtminor 15
%define qtsubminor 6

%define rel 1
%define pre rc

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%if %snapshot
%define qttarballdir qtdoc-everywhere-src-%{qtversion}-%pre
%else
%define qttarballdir qtdoc-everywhere-opensource-src-%{qtversion}
%endif

Name: qtdoc5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt5 Documentation
Group: Development/Libraries
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     https://www.qt.io/
Source0: https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
# Upstream patches
# https://community.kde.org/Qt5PatchCollection
Patch0001:	0001-Clarify-that-the-CI-does-not-define-the-reference-co.patch
Patch0002:      0002-Android-keep-only-mandatory-arguments-for-configure-.patch
Patch0003:      0003-Doc-update-some-packages-for-Linux.patch
Patch0004:      0004-Android-update-linux-package-dependencies.patch
Patch0005:      0005-Remove-unneeded-italic-decoration.patch
Patch0006:      0006-Linux-Fix-library-xcb-spelling-errors.patch
Patch0007:      0007-Update-supported-Apple-platforms.patch

BuildRequires: qtbase5-common-devel
BuildRequires: pkgconfig(Qt5Script)
BuildRequires: pkgconfig(Qt5Svg)
BuildRequires: pkgconfig(Qt5XmlPatterns)
BuildRequires: qttools5-assistant
BuildRequires: qttools5
 
BuildArch: noarch

#Branch Patchs

#Trunk Patchs

#Patch from Mageia


%description
Qt5 Documentation.

%files
# Need to be splitted ?
%doc %{_qt5_docdir}/qtdoc.qch
%doc %{_qt5_docdir}/qtdoc/
%doc %{_qt5_docdir}/qtcmake.qch
%doc %{_qt5_docdir}/qtcmake/

#------------------------------------------------------------------------------

%prep
%setup -q -n qtdoc-everywhere-src-%{qtversion}
%apply_patches

%build
%qmake_qt5

RPM_BUILD_NCPUS="`/usr/bin/getconf _NPROCESSORS_ONLN`"
make -j $RPM_BUILD_NCPUS docs


%install
%make_install install_docs INSTALL_ROOT=%{buildroot}

find %{buildroot} -name '*.pro' -delete

rm -rf %buildroot/%{_libdir}/qt5/examples

%changelog
* Sun Sep 18 2022 tex - 5.15.6-1pclos2022
- new version
